/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
/******/ 	var __webpack_modules__ = ({

/***/ 761:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {


// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  Z: () => (/* binding */ executeSudo)
});

;// CONCATENATED MODULE: external "node:path"
const external_node_path_namespaceObject = require("node:path");
var external_node_path_default = /*#__PURE__*/__webpack_require__.n(external_node_path_namespaceObject);
;// CONCATENATED MODULE: external "fs-extra"
const external_fs_extra_namespaceObject = require("fs-extra");
var external_fs_extra_default = /*#__PURE__*/__webpack_require__.n(external_fs_extra_namespaceObject);
;// CONCATENATED MODULE: external "string-template"
const external_string_template_namespaceObject = require("string-template");
var external_string_template_default = /*#__PURE__*/__webpack_require__.n(external_string_template_namespaceObject);
;// CONCATENATED MODULE: external "node:os"
const external_node_os_namespaceObject = require("node:os");
var external_node_os_default = /*#__PURE__*/__webpack_require__.n(external_node_os_namespaceObject);
;// CONCATENATED MODULE: ./src/constants/darwin.ts


const ASK_PASSWORD_SCRIPT_FILE_PATH = external_node_path_default().join(external_node_os_default().tmpdir(), 'sudo-cli', 'ask-password.sh');
const ASK_PASSWORD_SCRIPT = [
    '#!/bin/bash',
    '/usr/bin/osascript -e \'display dialog "Please enter your password" default answer "" with title "{name}" with hidden answer\' -e \'text returned of result\'',
].join((external_node_os_default()).EOL);

;// CONCATENATED MODULE: external "node:child_process"
const external_node_child_process_namespaceObject = require("node:child_process");
;// CONCATENATED MODULE: ./src/utils/spawn.ts

const spawnCommand = async (command) => {
    await new Promise(() => {
        var _a, _b;
        const spawner = (0,external_node_child_process_namespaceObject.spawn)(command, {
            cwd: process.cwd(),
            windowsHide: true,
            shell: true,
        });
        (_a = spawner.stdout) === null || _a === void 0 ? void 0 : _a.on('data', (data) => {
            console.log(data.toString());
        });
        (_b = spawner.stderr) === null || _b === void 0 ? void 0 : _b.on('data', (data) => {
            console.error(data.toString());
        });
        spawner.on('close', (exitCode) => process.exit(exitCode));
    });
};

;// CONCATENATED MODULE: ./src/functions/darwin.ts





const executePrivilegedDarwin = async (name, command) => {
    const formattedScript = external_string_template_default()(ASK_PASSWORD_SCRIPT, { name });
    await external_fs_extra_default().outputFile(ASK_PASSWORD_SCRIPT_FILE_PATH, formattedScript, {
        encoding: 'utf8',
        mode: 0o777,
    });
    await spawnCommand(`/usr/bin/env SUDO_ASKPASS="${ASK_PASSWORD_SCRIPT_FILE_PATH}" /usr/bin/sudo -A ${command}`);
    external_fs_extra_default().remove(external_node_path_default().dirname(ASK_PASSWORD_SCRIPT_FILE_PATH));
};

;// CONCATENATED MODULE: ./src/functions/linux.ts
const executePrivilegedLinux = async (name, command) => {
    await Promise.resolve([name, command]);
};

;// CONCATENATED MODULE: ./src/constants/windows.ts


const EXECUTE_COMMAND_SCRIPT_FILE_PATH = external_node_path_default().join(external_node_os_default().tmpdir(), 'sudo-cli', 'execute.bat');

;// CONCATENATED MODULE: ./src/functions/windows.ts





const executePrivilegedWindows = async (command) => {
    await external_fs_extra_default().outputFile(EXECUTE_COMMAND_SCRIPT_FILE_PATH, ['@echo off', 'chcp 65001>nul', command].join((external_node_os_default()).EOL), { encoding: 'utf8' });
    await spawnCommand(`powershell.exe Start-Process -FilePath "${EXECUTE_COMMAND_SCRIPT_FILE_PATH}" -WorkingDirectory "${process.cwd()}" -WindowStyle hidden -Verb runAs`);
    external_fs_extra_default().remove(external_node_path_default().dirname(EXECUTE_COMMAND_SCRIPT_FILE_PATH));
};

;// CONCATENATED MODULE: ./src/helpers/execute-sudo.ts



const executeSudo = async (name, command) => {
    if (process.platform === 'darwin') {
        await executePrivilegedDarwin(name, command);
    }
    if (process.platform === 'win32') {
        await executePrivilegedWindows(command);
    }
    if (process.platform === 'linux') {
        await executePrivilegedLinux(name, command);
    }
    throw new Error('Unsupported OS');
};


/***/ }),

/***/ 349:
/***/ ((module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.a(module, async (__webpack_handle_async_dependencies__, __webpack_async_result__) => { try {
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var yargs_yargs__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(267);
/* harmony import */ var yargs_yargs__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(yargs_yargs__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _helpers_execute_sudo__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(761);


const argv = await yargs_yargs__WEBPACK_IMPORTED_MODULE_0___default()(process.argv.slice(2)).options({
    name: { type: 'string', default: 'sudo cli', alias: 'n' },
}).argv;
const command = argv._[0];
if (!command) {
    console.error('Missing command to execute');
    process.exit(1);
}
(0,_helpers_execute_sudo__WEBPACK_IMPORTED_MODULE_1__/* .executeSudo */ .Z)(argv.name, command.toString());

__webpack_async_result__();
} catch(e) { __webpack_async_result__(e); } }, 1);

/***/ }),

/***/ 267:
/***/ ((module) => {

module.exports = require("yargs/yargs");

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId](module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/async module */
/******/ 	(() => {
/******/ 		var webpackQueues = typeof Symbol === "function" ? Symbol("webpack queues") : "__webpack_queues__";
/******/ 		var webpackExports = typeof Symbol === "function" ? Symbol("webpack exports") : "__webpack_exports__";
/******/ 		var webpackError = typeof Symbol === "function" ? Symbol("webpack error") : "__webpack_error__";
/******/ 		var resolveQueue = (queue) => {
/******/ 			if(queue && queue.d < 1) {
/******/ 				queue.d = 1;
/******/ 				queue.forEach((fn) => (fn.r--));
/******/ 				queue.forEach((fn) => (fn.r-- ? fn.r++ : fn()));
/******/ 			}
/******/ 		}
/******/ 		var wrapDeps = (deps) => (deps.map((dep) => {
/******/ 			if(dep !== null && typeof dep === "object") {
/******/ 				if(dep[webpackQueues]) return dep;
/******/ 				if(dep.then) {
/******/ 					var queue = [];
/******/ 					queue.d = 0;
/******/ 					dep.then((r) => {
/******/ 						obj[webpackExports] = r;
/******/ 						resolveQueue(queue);
/******/ 					}, (e) => {
/******/ 						obj[webpackError] = e;
/******/ 						resolveQueue(queue);
/******/ 					});
/******/ 					var obj = {};
/******/ 					obj[webpackQueues] = (fn) => (fn(queue));
/******/ 					return obj;
/******/ 				}
/******/ 			}
/******/ 			var ret = {};
/******/ 			ret[webpackQueues] = x => {};
/******/ 			ret[webpackExports] = dep;
/******/ 			return ret;
/******/ 		}));
/******/ 		__webpack_require__.a = (module, body, hasAwait) => {
/******/ 			var queue;
/******/ 			hasAwait && ((queue = []).d = -1);
/******/ 			var depQueues = new Set();
/******/ 			var exports = module.exports;
/******/ 			var currentDeps;
/******/ 			var outerResolve;
/******/ 			var reject;
/******/ 			var promise = new Promise((resolve, rej) => {
/******/ 				reject = rej;
/******/ 				outerResolve = resolve;
/******/ 			});
/******/ 			promise[webpackExports] = exports;
/******/ 			promise[webpackQueues] = (fn) => (queue && fn(queue), depQueues.forEach(fn), promise["catch"](x => {}));
/******/ 			module.exports = promise;
/******/ 			body((deps) => {
/******/ 				currentDeps = wrapDeps(deps);
/******/ 				var fn;
/******/ 				var getResult = () => (currentDeps.map((d) => {
/******/ 					if(d[webpackError]) throw d[webpackError];
/******/ 					return d[webpackExports];
/******/ 				}))
/******/ 				var promise = new Promise((resolve) => {
/******/ 					fn = () => (resolve(getResult));
/******/ 					fn.r = 0;
/******/ 					var fnQueue = (q) => (q !== queue && !depQueues.has(q) && (depQueues.add(q), q && !q.d && (fn.r++, q.push(fn))));
/******/ 					currentDeps.map((dep) => (dep[webpackQueues](fnQueue)));
/******/ 				});
/******/ 				return fn.r ? promise : getResult();
/******/ 			}, (err) => ((err ? reject(promise[webpackError] = err) : outerResolve(exports)), resolveQueue(queue)));
/******/ 			queue && queue.d < 0 && (queue.d = 0);
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/compat get default export */
/******/ 	(() => {
/******/ 		// getDefaultExport function for compatibility with non-harmony modules
/******/ 		__webpack_require__.n = (module) => {
/******/ 			var getter = module && module.__esModule ?
/******/ 				() => (module['default']) :
/******/ 				() => (module);
/******/ 			__webpack_require__.d(getter, { a: getter });
/******/ 			return getter;
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/define property getters */
/******/ 	(() => {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = (exports, definition) => {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	(() => {
/******/ 		__webpack_require__.o = (obj, prop) => (Object.prototype.hasOwnProperty.call(obj, prop))
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	(() => {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = (exports) => {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	})();
/******/ 	
/************************************************************************/
/******/ 	
/******/ 	// startup
/******/ 	// Load entry module and return exports
/******/ 	// This entry module used 'module' so it can't be inlined
/******/ 	var __webpack_exports__ = __webpack_require__(349);
/******/ 	module.exports = __webpack_exports__;
/******/ 	
/******/ })()
;